Customer

Working with customers you have the following features:

Customer

Customer

Customer

List customers per counterparty

Update a customer

Create customer

circle-exclamation

To create a customer and their first account you should use the following request:

Create customer

post

Create customer

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
asset_codestringRequired

required Asset's code of e-money currency

asset_issuerstringRequired

required Address in stellar which issues token

balance_allowednumberOptional

optional default 0, customer's allowed balance

balance_asset_codestringOptional

optional Balance's asset code

balance_asset_issuerstringOptional

optional Balance's asset issuers

branch_guidstringOptional

optional Branch's GUID

ibanstringOptional

optional IBAN

is_disabledbooleanOptional

If you need to disable an employee you should make this parameter true, default it is false

kyc_levelintegerOptional

optional default 0, customer's level of verification(KYC)

loginstringOptional

Login unique user name phone, email or other

namestringOptional

optional Customer's name

paternal_namestringOptional

optional Customer's paternal name

phone_numberstringOptional

optional Customer's phone number

segmentstringOptional

optional Customer's segment: Public Liability (PL) or Professional Indemnity (PI)

statusstringOptional

optional Customer's status

surnamestringOptional

optional Customer's surname

Responses
chevron-right
200

OK

application/json
activatedbooleanOptional
assets_totalintegerOptional
blockedbooleanOptional
customer_guidstringOptional
guidstringOptional

same as wallet_account_guid field

ibanstringOptional
namestringOptional
platformstringOptional
registeredbooleanOptional
typestringOptional
wallet_account_guidstringOptional

same as guid field

post
/counterparty/{counterparty_guid}/customers

For asset_code and asset_issuer please consult Common requirements.

chevron-rightResponse example:hashtag
circle-info

Note: an account has one identificator assigned.

Account has status attributes:

  • activated

  • registered

  • blocked

The attributes are not used currently.

Create an additional customer entity

circle-info

The first digital entity for a customer is opened when the customer profile is created.

To create a customer entity, you should use this endpoint:

Create customer's accounts

post

Create customer's accounts on behalf of employee

Path parameters
counterparty_guidstringRequired

Counterparty GUID

customer_guidstringRequired

Customer GUID

Body
ibanstringOptional
Responses
chevron-right
200

OK

application/json
wallet_account_guidstringOptional
post
/counterparty/{counterparty_guid}/customers/{customer_guid}/accounts

Response example:

Get customer's entities

To show customer's accounts, you should use this endpoint:

Customer's accounts

get

Get customer's accounts on behalf of employee

Path parameters
counterparty_guidstringRequired

Counterparty GUID

customer_guidstringRequired

Customer GUID

Query parameters
ibanstringOptional

iban (string)

Responses
chevron-right
200

OK

application/json
totalintegerOptional
get
/counterparty/{counterparty_guid}/customers/{customer_guid}/accounts
chevron-rightResponse examplehashtag
circle-info

Note: a digital entity has one identificator assigned.

Entity has status attributes:

  • activated

  • registered

  • blocked

The attributes are not used currently.

Update a customer

Update customer

put

Update customer

Path parameters
counterparty_guidstringRequired

Counterparty GUID

customer_guidstringRequired

Customer GUID

Body
balance_allowednumberOptional

customer's allowed balance

balance_asset_codestringOptional

optional balance's asset code

balance_asset_issuerstringOptional

optional balance's asset issuer

branch_guidstringOptional

optional customer's branch's name

is_disabledbooleanOptional

if you need to disable an employee you should make this parameter true, default it is false

kyc_levelintegerOptional

customer's level of verification(kyc)

namestringOptional

optional customer's name

paternal_namestringOptional

optional customer's paternal name

phone_numberstringOptional

optional customer's phone number

segmentstringOptional

optional customer's segment: Public Liability (PL) or Professional Indemnity (PI)

statusstringOptional

optional customer's status

surnamestringOptional

optional customer's surname

wallet_user_guidstringOptional

customer's guid

Responses
chevron-right
200

OK

application/json
objectOptional
put
/counterparty/{counterparty_guid}/customers/{customer_guid}

List customers per counterparty

To get the list of all customers for the specific counterparty use this endpoint:

Get customers list

get

Get customers list with filter

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Query parameters
wallet_user_guidsstring[]Optional

Customer's GUIDs

loginsstring[]Optional

Customer's logins

kyc_levelsstring[]Optional

Customer's kyc levels

is_disabledbooleanOptional

Include disabled

min_balance_allowednumberOptional

Customer's allowed balance

max_balance_allowednumberOptional

Customer's allowed balance

balance_asset_codesstring[]Optional

Balance's asset code

balance_asset_issuersstring[]Optional

Balance's asset issuers

branch_guidsstring[]Optional

Customer's branch guids

namesstring[]Optional

Customer's names

paternal_namesstring[]Optional

Customer's paternal names

phone_numbersstring[]Optional

Customer's phone numbers

segmentsstring[]Optional

Customer's segments

statusesstring[]Optional

Customer's statuses

surnamesstring[]Optional

Customer's surnames

search_stringstringOptional

Parameter to search by name or login

min_created_atstringOptional

Customer's time of creation

max_created_atstringOptional

Customer's time of creation

min_updated_atstringOptional

Customer's time of last update

max_updated_atstringOptional

Customer's time of last update

offsetintegerOptional

Offset

limitintegerOptional

Limit

orderingstring Β· enumOptional

Ordering

Possible values:
Responses
chevron-right
200

OK

application/json
totalintegerOptional
get
/counterparty/{counterparty_guid}/customers
chevron-rightResponse example:hashtag

Last updated